fop 2.3

## org.apache.fop.afp.modca
Class TagLogicalElement.State

    java.lang.Object
      org.apache.fop.afp.modca.TagLogicalElement.State

Enclosing class:
  TagLogicalElement

    public static class TagLogicalElement.State

extends java.lang.Object

Holds the attribute state of a TLE

Field Summary
`static int` `ENCODING_NONE` value interpreted as no encoding

Constructor Summary
`TagLogicalElement.State(java.lang.String key, java.lang.String value)` Constructor
`TagLogicalElement.State(java.lang.String key, java.lang.String value, int encoding)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENCODING_NONE

    public static final int ENCODING_NONE

  value interpreted as no encoding

  See Also:
    Constant Field Values

Constructor Detail

### TagLogicalElement.State

    public TagLogicalElement.State(java.lang.String key,
                                   java.lang.String value)

  Constructor

  Parameters:
    `key` - the key attribute
    `value` - the value attribute

### TagLogicalElement.State

    public TagLogicalElement.State(java.lang.String key,
                                   java.lang.String value,
                                   int encoding)

Parameters:
  `key` - the key attribute
  `value` - the value attribute
  `encoding` - the CCSID character set encoding attribute

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.